## org.w3c.jigsaw.http.mux
Class MuxHttpHandler

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.mux.MuxHttpHandler

public class MuxHttpHandler
extends java.lang.Object
implements org.w3c.www.mux.MuxProtocolHandler

Field Summary
`protected int` | `cid`
`protected int` | `clientcount`
`protected MuxClient` | `freelist`
`protected int` | `maxclient`
`protected org.w3c.jigsaw.http.httpd` | `server`
`protected ThreadCache` | `threadcache`

Constructor Summary
`MuxHttpHandler(org.w3c.jigsaw.http.httpd server)`

Method Summary
`protected MuxClient` | `getClient()`
`void` | `initialize(org.w3c.www.mux.MuxSession session)`
`protected void` | `markIdle(MuxClient client)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected org.w3c.jigsaw.http.httpd server

### cid

    protected int cid

### clientcount

    protected int clientcount

### maxclient

    protected int maxclient

### threadcache

    protected ThreadCache threadcache

### freelist

    protected MuxClient freelist

Constructor Detail

### MuxHttpHandler

    public MuxHttpHandler(org.w3c.jigsaw.http.httpd server)

Method Detail

### markIdle

    protected void markIdle(MuxClient client)

### getClient

    protected MuxClient getClient()

### initialize

    public void initialize(org.w3c.www.mux.MuxSession session)
                    throws java.io.IOException

  Specified by:
    initialize in interface org.w3c.www.mux.MuxProtocolHandler